signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Variables
signonsessioncore.cpp File Reference
`#include "signond-common.h"`
`#include "signonauthsession.h"`
`#include "signonidentityinfo.h"`
`#include "signonidentity.h"`
`#include "signonui_interface.h"`
`#include "accesscontrolmanagerhelper.h"`
`#include "SignOn/uisessiondata_priv.h"`
`#include "SignOn/authpluginif.h"`
`#include "SignOn/signonerror.h"`
Include dependency graph for signonsessioncore.cpp:

Go to the source code of this file.

## Macros
#define | MAX_IDLE_TIME SIGNOND_MAX_IDLE_TIME
#define | IDLE_WATCHDOG_TIMEOUT SIGNOND_MAX_IDLE_TIME * 500
#define | SSO_KEY_USERNAME QLatin1String("UserName")
#define | SSO_KEY_PASSWORD QLatin1String("Secret")
#define | SSO_KEY_CAPTION QLatin1String("Caption")

## Variables
QMap< QString, SignonSessionCore * > | sessionsOfStoredCredentials
QList< SignonSessionCore * > | sessionsOfNonStoredCredentials

## Macro Definition Documentation

#define IDLE_WATCHDOG_TIMEOUT SIGNOND_MAX_IDLE_TIME * 500

Definition at line 40 of file signonsessioncore.cpp.

#define MAX_IDLE_TIME SIGNOND_MAX_IDLE_TIME

Definition at line 36 of file signonsessioncore.cpp.

#define SSO_KEY_CAPTION QLatin1String("Caption")

Definition at line 44 of file signonsessioncore.cpp.

#define SSO_KEY_PASSWORD QLatin1String("Secret")

Definition at line 43 of file signonsessioncore.cpp.

#define SSO_KEY_USERNAME QLatin1String("UserName")

Definition at line 42 of file signonsessioncore.cpp.

## Variable Documentation

QList<SignonSessionCore *> sessionsOfNonStoredCredentials

Definition at line 55 of file signonsessioncore.cpp.

Referenced by SignonDaemonNS::SignonSessionCore::destroy(), SignonDaemonNS::SignonSessionCore::loadedPluginMethods(), SignonDaemonNS::SignonSessionCore::sessionCore(), SignonDaemonNS::SignonSessionCore::setId(), and SignonDaemonNS::SignonSessionCore::stopAllAuthSessions().

QMap<QString, SignonSessionCore *> sessionsOfStoredCredentials

Definition at line 51 of file signonsessioncore.cpp.

Referenced by SignonDaemonNS::SignonSessionCore::destroy(), SignonDaemonNS::SignonSessionCore::loadedPluginMethods(), SignonDaemonNS::SignonSessionCore::sessionCore(), SignonDaemonNS::SignonSessionCore::setId(), and SignonDaemonNS::SignonSessionCore::stopAllAuthSessions().